// LED connected to digital pin 9 and 10
int ledPin = 9;    
int ledPin1 = 10;

//potentiometer and button pins
int potPin = 0;
int buttonPin=7;

//initial button state and sensor value
int buttonState=0;
int sensorValue = 0;

//fade values for the leds

int fadeValue=0;

//button counters
int buttonPushCounter=0;
int lastButtonState=0;

void setup()  { 
  // initialize the leds
  pinMode(ledPin, OUTPUT); 
  pinMode(ledPin1, OUTPUT);
  //initialize the button
  pinMode(buttonPin,INPUT);
  //initialize the serial
  Serial.begin(9600);
} 

void loop()  { 
  //read the incoming sensor value from the potPin
  sensorValue=analogRead(potPin);
  //fade value becomes the mapped sensor values
  //from 0-1023 to 0-255
  fadeValue=map(sensorValue,0,1023,0,255);

  //button state is looking at the button pin
  buttonState=digitalRead(buttonPin);

  //if the button states are not equal
  if (buttonState != lastButtonState) {
    // if the current state is HIGH then the button
    // went from off to on:
    if (buttonState == HIGH) {

      // if the state has changed, increment the counter
      buttonPushCounter++;
      Serial.println("on");
      Serial.print("number of button pushes:  ");
      Serial.println(buttonPushCounter, DEC);
    } 
    else {
      // if the current state is LOW then the button
      // wend from on to off:
      Serial.println("off"); 
    }

    // save the current state as the last state, 
    //for next time through the loop
    lastButtonState = buttonState;
  }

  // turns on the LED every two button pushes by 
  // checking the modulo of the button push counter.
  // the modulo function gives you the remainder of 
  // the division of two numbers:
  if ((buttonPushCounter % 2)-0 == 0) {
    analogWrite(ledPin,fadeValue);
  }

  // turns on the LED every two button pushes by 
  // checking the modulo of the button push counter.
  // the modulo function gives you the remainder of 
  // the division of two numbers:
  if ((buttonPushCounter % 2)-1 == 0) {
    analogWrite(ledPin1,fadeValue);
  } 

}








