
//import the processing serial library
import processing.serial.*;
//set up a serial object
Serial port;

//initial brightness value
float brightness = 0;

void setup()
{
  size(500, 500);
  //set up a serial port to listen to
  String portName = Serial.list()[5];
  //port object is listening to this serial port at 9600 baud
  port = new Serial(this, portName, 9600); 
  //read until there is a break point
  port.bufferUntil('\n');
}

void draw()
{
  //backgroud blue value is using brightness value
  background(0, 0, brightness);
  println(brightness);
}

//our serial event
void serialEvent (Serial port)
{
  //brightness is changing with incoming serial 
  //values from Arduino
  brightness = float(port.readStringUntil('\n'));
}

